import { Pipe, PipeTransform } from '@angular/core';
import { TabSelectionOption } from './tab-selection-options.model';

@Pipe({
  name: 'selectedTabs',
})
export class SelectedTabsPipe implements PipeTransform {
  transform(tabs: TabSelectionOption[]): TabSelectionOption[] {
    return tabs.filter((tab) => tab.selected);
  }
}
